## com.sun.jersey.spi.template
Class TemplateContextException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.sun.jersey.api.container.ContainerException
                      com.sun.jersey.spi.template.TemplateContextException

All Implemented Interfaces:
  java.io.Serializable

    public class TemplateContextException

extends ContainerException

A rutime expception associated with errors when resolving a `Viewable` to a `ResolvedViewable` by methods on `TemplateContext`.

Author:
  Paul.Sandoz.@Sun.Com
See Also:
  Serialized Form

Constructor Summary
`TemplateContextException()` Construct a new instance with the supplied message
`TemplateContextException(java.lang.String message)` Construct a new instance with the supplied message
`TemplateContextException(java.lang.String message, java.lang.Throwable cause)` Construct a new instance with the supplied message and cause
`TemplateContextException(java.lang.Throwable cause)` Construct a new instance with the supplied cause

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TemplateContextException

    public TemplateContextException()

  Construct a new instance with the supplied message

### TemplateContextException

    public TemplateContextException(java.lang.String message)

  Construct a new instance with the supplied message

  Parameters:
    `message` - the message

### TemplateContextException

    public TemplateContextException(java.lang.String message,
                                    java.lang.Throwable cause)

  Construct a new instance with the supplied message and cause

  Parameters:
    `message` - the message
    `cause` - the Throwable that caused the exception to be thrown

### TemplateContextException

    public TemplateContextException(java.lang.Throwable cause)

  Construct a new instance with the supplied cause

  Parameters:
    `cause` - the Throwable that caused the exception to be thrown

Copyright © 2017 Oracle Corporation. All Rights Reserved.